Loading...
Searching...
No Matches
mdns_host Struct Reference

`#include <mdns_priv.h>`

## Data Fields

char | name [63+1]
struct mdns_service * | services [1]
u8_t | sent_num
mdns_resp_state_enum_t | state
struct mdns_delayed_msg | ipv4
struct mdns_delayed_msg | ipv6
u32_t | conflict_time [15]
u8_t | rate_limit_activated
u8_t | index
u8_t | num_conflicts

## Detailed Description

Description of a host/netif

## Field Documentation

## conflict_time

u32_t mdns_host::conflict_time[15]

Timestamp of probe conflict saved in list

## index

u8_t mdns_host::index

List index for timestamps

## ipv4

struct mdns_delayed_msg mdns_host::ipv4

delayed msg struct for IPv4

## ipv6

struct mdns_delayed_msg mdns_host::ipv6

delayed msg struct for IPv6

## name

char mdns_host::name[63+1]

Hostname

## num_conflicts

u8_t mdns_host::num_conflicts

number of conflicts since startup

## rate_limit_activated

u8_t mdns_host::rate_limit_activated

Rate limit flag

## sent_num

u8_t mdns_host::sent_num

Number of probes/announces sent for the current name

## services

struct mdns_service* mdns_host::services[1]

Pointer to services

## state

mdns_resp_state_enum_t mdns_host::state

State of the mdns responder

The documentation for this struct was generated from the following file:

- src/include/lwip/apps/mdns_priv.h